#import <appkit/appkit.h>

@interface Timer:Object
{
	struct	timeval	realtime;
	struct	timezone	tzone;
	double	synctime;
	double	pssynctime;
	double	tare;
	double	cumWallTime;
	double	cumAppTime;
	double	cumPSTime;
	struct	rusage	rtime;
	int	stime;
	int		running;
	BOOL	noPS;
}

- startTimer;
- stopTimer;
- (double)wallTime;
- (double)appTime;
- (double)psTime;
- (const char *)timeString;
- setNoPS:(BOOL)flag;
@end
